# 4get-apache

Dockerfile and compose for 4get bleeding edge, with PUID and PGID.
## Why?
1. I wanted to learn how to build a custom docker image
2. The official 4get image takes forever for updates
3. There is no PUID, PGID or port configuration on the official image

## Dockerfile
Simply git clone this repo:
```bash
git clone https://git.plunked.party/tony/4get-apache
```
and then run ./rebuild:
```bash
cd 4get-apache/
chmod +x ./rebuild
./rebuild
```

## Docker Compose
Here's an example docker-compose.yaml for the service:
```yaml
services:
  fourget:
    container_name: fourget
    image: fourget-apache
    restart: ${RESTART_MODE}
    environment:
      - FOURGET_SERVER_NAME=4get.plunked.party
      - FOURGET_SERVER_LONG_DESCRIPTION="PLUNKED!!!!"
      - FOURGET_SERVER_SHORT_DESCRIPTION="click here 4 sum fun."
      - FOURGET_BOT_PROTECTION=0
      - FOURGET_DEFAULT_THEME="Dark"
      - PUID=${FOURGET_ID}
      - PGID=${FOURGET_ID}
      - PORT=6969 
    volumes:
      - ./4get/banner:/var/www/html/4get/banner
      - ./4get/template/home.html:/var/www/html/4get/template/home.html
```
There's some verbose when running docker compose logs.